### Function

# FwupdPlugin Plugin guess_name_from_fn

since: 1.0.8

#### Declaration [src]

    gchar*
    fu_plugin_guess_name_from_fn (
      const gchar* filename
    )

#### Description [src]

Tries to guess the name of the plugin from a filename.

Available since: 1.0.8

#### Parameters

`filename`

  Type: `const gchar*`

  Filename to guess.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The guessed name of the plugin.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.